<?php
/*
 * @package 	RSFirewall!
 * @copyright 	(c) 2009 - 2024 RSJoomla!
 * @link 		https://www.rsjoomla.com/joomla-extensions/joomla-security.html
 * @license 	GNU General Public License https://www.gnu.org/licenses/gpl-3.0.en.html
 */

defined('_JEXEC') or die;

class RSFirewallProtectionNovarain extends RSFirewallProtection
{
	protected $reason = 'COM_RSFIREWALL_PHP_CODE_DETECTED';
	protected $code = 'NOVARAIN_INJECTION_ATTEMPT';

	public function isInjection()
	{
		if ($this->getOption() === 'com_ajax' && isset($_REQUEST['plugin'], $_REQUEST['task'], $_REQUEST['path'], $_REQUEST['file'], $_REQUEST['class']) && strtolower($_REQUEST['plugin']) === 'nrframework' && strtolower($_REQUEST['task']) === 'include')
		{

			return true;
		}

		return false;
	}
}